package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级试题大题分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_qtype")
public class MsrClassQtype extends BaseBean {
    @Id
    //阅卷报告-班级试题大题分析
    private Integer cqtid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //班级ID
    private Integer classid;
    //题型ID
    private Integer mptid;
    //平均分
    private Double avgscore;
    //标准差
    private Double bzc;
    //难度
    private Double nd;
    //难度描述
    private String ndms;
    //区分度
    private Double qfd;
    //区分度描述
    private String qfdms;
    //满分
    private Double fullscore;
    //满分人数
    private Integer fullnum;
    //满分人ids
    private String fullids;
    //满人人数占比
    private Double fullrate;
    //零分人数
    private Integer zeronum;
    //零分人ids
    private String zeroids;
    //零分人数占比
    private Double zerorate;
}
