package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-试题小题排名分组分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_question_rankgroup")
public class MsrClassQuestionRankgroup extends BaseBean {
    @Id
    //阅卷报告-试题小题排名分组分析
    private Integer cqrgid;
    //考试ID
    private Integer examid;
    //科目ID
    private String subjectid;
    //试题ID
    private Integer mptqid;
    //试题题号类型1小题题号2客观题3主观题
    private Integer qntype;
    //分数值
    private Double rgscore;
    //组别和名次 第1组(1~70名)
    private String rgroup;
    //类型1客观题 选项 2主观题 分值
    private Integer rgtype;
    //分值范围/选项
    private String rgvalue;
    //人数
    private Integer stunum;
    //人数ids
    private String stuids;
    //占比
    private Double rgrate;
}
