package com.xhkjedu.sapi.mapper.region;

import com.xhkjedu.sapi.vo.region.RAppVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RAppAnalyzeMapper {
    //登录次数
    Integer getLoginNum(@Param("schoolIds") String schoolIds, @Param("begintime") Integer begintime, @Param("endtime") Integer endtime,@Param("year") Integer year);

    //学校应用时长、次数统计
    List<RAppVo> listApp(@Param("schoolIds") String schoolIds, @Param("begintime") Integer begintime, @Param("endtime") Integer endtime,@Param("year") Integer year);

    //获取学校列表
    List<Map<String, Object>> listSchool(@Param("level") Integer level);
}
