package com.xhkjedu.model.slog;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description：操作日志
 * @Author: WN
 * @Date: 2023/11/15 10:24:46
 **/
@Table(name = "t_handle_log")
@Data
public class THandleLog extends BaseBean {
    @Id
    private Integer handleid;//操作日志ID

    //用户id
    private Integer userid;

    //用户姓名
    private String username;

    //登录账户
    private String loginname;

    //用户类型
    private Integer usertype;

    //操作时间
    private Integer handletime;

    //操作地址
    private String handleurl;

    //操作所属模块
    private String handlemodel;

    //操作类型（登录/增加/修改/删除/上传 等）
    private String handleaction;

    //操作状态1成功2失败
    private Integer handlestate;

    //操作参数
    private String handleparas;

    //IP
    private String handleip;

    //IP归属地
    private String handleaddress;

    //终端类型
    private String devicetype;

    //终端版本号
    private String versionnum;

    //学校id
    private Integer schoolid;

    //截止时间
    @Transient
    private Integer endtime;
}
