package com.xhkjedu.smarking.mapper.exam;

import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.vo.exam.MissExamVo;
import com.xhkjedu.smarking.vo.exam.SCStudentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description：成绩管理
 * @Author: WN
 * @Date: 2024/11/11 16:01:10
 **/
public interface SubjectScoreMapper {
    //成绩管理-科目成绩
    List<Map<String,Object>> listExamSubjectScore(@Param("examid") Integer examid);

    //成绩管理-科目客观题主观题平均分
    List<Map<String,Object>> listSubjectQuestionAvgScore(@Param("examid")Integer examid);

    //成绩管理-缺考学生
    List<Map<String,Object>> listSubjectMissStudents(@Param("stu") MsClassStudent stu);

    //成绩管理-缺考学生导出
    List<MissExamVo> listSubjectMissStudentExport(@Param("stu") SCStudentVo stu);

}
