package com.xhkjedu.smarking.model.report.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 阅卷报告-班级客主观题分析表
 * @Author auto
 * @Date 2024-12-09
 */
@Data
@Table(name = "msr_class_objsub")
public class MsrClassObjsub extends BaseBean {
    @Id
    //阅卷报告-班级客主观题分析
    private Integer coid;
    //考试ID
    private Integer examid;
    //班级ID
    private Integer classid;
    //类型1客观题2主观题
    private Integer cotype;
    //满分
    private Double fullscore;
    //最高分
    private Double maxscore;
    //最低分
    private Double minscore;
    //平均分
    private Double avgscore;
    //平均得分率
    private Double avgrate;
    //满分人数
    private Integer fullnum;
    //满分人ids
    private String fullids;
    //满分人数占比
    private Double fullrate;
    //零分人数
    private Integer zeronum;
    //零分人ids
    private String zeroids;
    //零分人数占比
    private Double zerorate;
}
